%global commit      5961af1735562b1fa17bf8ecf1e6a514ef9221e7
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20190622

%global file_name   com.github.calo001.fondo

Name:           fondo
Version:        1.3.2
Release:        3.%{date}git%{shortcommit}%{?dist}
Summary:        Find the most beautiful wallpapers

License:        AGPLv3+
URL:            https://github.com/calo001/fondo/
Source0:        %{url}/tarball/%{commit}#/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(unity)

Requires:       hicolor-icon-theme

%description
Find a variety of the most beautiful wallpapers from Unsplash.com the world’s
most generous community of photographers.

Fondo allows you to see thousands of beautiful photographs from the most recent
to the one you are to looking for. Give a simple click on a picture to set as
wallpaper, wait until the download is complete and enjoy!

Have a simple and elegant interface, you can change from light mode to dark
mode as you prefer.

%prep
%autosetup -n calo001-%{name}-%{shortcommit}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{file_name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{file_name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{file_name}.desktop

%files -f %{file_name}.lang
%doc README.md AUTHORS.md
%license LICENSE.md
%{_bindir}/%{file_name}
%{_datadir}/Fondo
%{_datadir}/applications/%{file_name}.desktop
%{_datadir}/glib-2.0/schemas/%{file_name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{file_name}*
%{_datadir}/pixmaps/%{file_name}.png
%{_metainfodir}/%{file_name}.appdata.xml

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-3.20190622git5961af1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.2-2.20190622git5961af1
- Update to 1.3.2-20190622git5961af1

* Mon Jun 17 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.0-1.20190617git581faa5
- Update to 1.3.0-20190617git581faa5

* Fri Jun 07 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.4-2.20190515gitdd012ec
- Update to 1.2.4-1.20190515gitdd012ec

* Tue Apr 16 2019 Adam Williamson <awilliam@redhat.com> - 1.2.2-4.20190324git71d97ee
- Rebuild with Meson fix for #1699099

* Fri Mar 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.2-3.20190324git71d97ee
- Initial Package
